Subject: Re: [PATCH] Prevent crash on ip_conntrack removal

From: "David S. Miller" <[email-masked]>
Date: Thu, 19 Aug 2004 08:14:28 -0700

On Thu, 19 Aug 2004 16:55:58 +0200
Patrick McHardy <[email-masked]> wrote:

> These are Olaf's patches. I agree with Harald that the second
> patch is better. I've fixed it up so it applies with the recent
> ip_fragment.c changes.

I have a better idea.

Instead of setting skb->dst to NULL, it should set it to some
NULL destination entry which just frees up the packets.  Then
no special case handling.  skb->dst==NULL packets should never
get into the fragment queue to begin with.